Bug 62367 - HTML Report Generator: Add Graph Total Transactions per Second
Summary: HTML Report Generator: Add Graph Total Transactions per Second
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 4.0
Hardware: All All
: P2 enhancement (vote)
Target Milestone: JMETER_5.0
Assignee: JMeter issues mailing list
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2018-05-10 15:02 UTC by laks.martha
Modified: 2018-07-15 13:58 UTC (History)
1 user (show)



Attachments
Jmeter Total TPS Graph generator enhancement. (17.17 KB, application/x-zip-compressed)
2018-05-10 20:51 UTC, laks.martha
Details
Screenshot of Total TPS graph after applying changes. (83.85 KB, image/png)
2018-05-10 21:51 UTC, laks.martha
Details

Note You need to log in before you can comment on or make changes to this bug.
Description laks.martha 2018-05-10 15:02:15 UTC
Hello, We are looking for  Total Transactions per second graph in HTML Report. Currently in 4.0 code it is generating transactions per second graph. So we need similar graph aggregation by Time and Transaction status.
Comment 1 laks.martha 2018-05-10 20:51:11 UTC
Created attachment 35927 [details]
Jmeter Total TPS Graph generator enhancement.
Comment 2 laks.martha 2018-05-10 20:57:34 UTC
Comment on attachment 35927 [details]
Jmeter Total TPS Graph generator enhancement.

This attachement contains source code and property changes for Total TPS graph enhancement.

Add new class file
core\org\jmeter\report\processor\graph\impl\TotalTPSGraphConsumer.java

Add new properties in reportgenerator.properties
jmeter.reportgenerator.graph.totalTPS.*

Added few lines of code in below files to display new graph
report-template\content\pages\Throughput.html.fmkr
report-template\content\js\graph.js.fmkr
Comment 3 Philippe Mouawad 2018-05-10 21:46:36 UTC
Thanks for contribution.
Could you attach a screenshot of result please ?

Thanks
Comment 4 laks.martha 2018-05-10 21:51:32 UTC
Created attachment 35928 [details]
Screenshot of Total TPS graph after applying changes.
Comment 5 Philippe Mouawad 2018-05-11 20:02:09 UTC
Author: pmouawad
Date: Fri May 11 20:00:39 2018
New Revision: 1831444

URL: http://svn.apache.org/viewvc?rev=1831444&view=rev
Log:
Bug 62367 - HTML Report Generator: Add Graph Total Transactions per Second
Mainly contributed by  laks.martha
Bugzilla Id: 62367

Added:
    jmeter/trunk/src/core/org/apache/jmeter/report/processor/graph/impl/TotalTPSGraphConsumer.java   (with props)
Modified:
    jmeter/trunk/bin/report-template/content/js/graph.js.fmkr
    jmeter/trunk/bin/report-template/content/pages/Throughput.html.fmkr
    jmeter/trunk/bin/reportgenerator.properties
    jmeter/trunk/xdocs/changes.xml
Comment 6 Philippe Mouawad 2018-05-11 20:06:11 UTC
Hello,
Thanks for this contribution !

I merged it with slight modifications:
- Fixed the colors (red for errors, green for ok)
- Made the granularity variable


Can you test and check it's ok ?
Thanks
Comment 7 laks.martha 2018-05-12 02:25:48 UTC
Thanks i have downloaded config files with color changes and tested. Its working as expected.
Comment 8 Philippe Mouawad 2018-07-11 11:45:31 UTC
Graph appears blank as of nightly build.
Reopening
Comment 9 Philippe Mouawad 2018-07-15 13:58:41 UTC
Author: pmouawad
Date: Sun Jul 15 13:58:17 2018
New Revision: 1835977

URL: http://svn.apache.org/viewvc?rev=1835977&view=rev
Log:
Bug 62367 - HTML Report Generator: Add Graph Total Transactions per Second
Fix empty graph when a jmeter.reportgenerator.exporter.html.series_filter is defined
Bugzilla Id: 62367

Modified:
    jmeter/trunk/bin/report-template/content/js/dashboard-commons.js.fmkr
    jmeter/trunk/bin/report-template/content/js/graph.js.fmkr